at.chipkarte.client.elgaad.soap

## Class TagesdosierungTage

- Object
- - at.chipkarte.client.elgaad.soap.TagesdosierungTage

-     public class TagesdosierungTage
      extends Object

  Angaben zur Tagesdosierung an bestimmten Tagen.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob Angabe zur Tagesdosierung an bestimmten Tagen zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagesdosierungTage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dosis` | `getDosis()` Angaben zur Dosis.
    `String[]` | `getEinnahmeTagList()` Wochentage der Einnahme.
    `void` | `setDosis(Dosis dosis)`
    `void` | `setEinnahmeTagList(String[] einnahmeTagList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagesdosierungTage

          public TagesdosierungTage()

  - ### Method Detail

    - #### getDosis

          public Dosis getDosis()

      Angaben zur Dosis. Siehe `Dosis`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Dosis.

    - #### setDosis

          public void setDosis(Dosis dosis)

    - #### getEinnahmeTagList

          public String[] getEinnahmeTagList()

      Wochentage der Einnahme.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      mögliche Werte: Siehe `WochentageConstants`.
      Returns:
        Liste der Einnahmetage.

    - #### setEinnahmeTagList

          public void setEinnahmeTagList(String[] einnahmeTagList)